Foreman - Bug #13976

Unckecking override checkbox in smart class parameters effects other checkboxes
03/01/2016 08:23 AM - Ori Rabin

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Parameters
Target version: 1.11.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1313851 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3266
Description

When unchecking the override checkbox the matchers and validators are saved so when it's checked again they are all there.
All the checkboxes on the form (use puppet default, hidden value, required) are unchecked (because they are disabled and don't
send their value).

This should be consistent - we either save the state of the parameter or we remove everything.

Related issues:
Related to Foreman - Bug #14034: Intermediate failures on Jenkins for puppetc... Resolved 03/03/2016

Associated revisions

Revision dba5afe0 - 03/02/2016 06:32 AM - Ori Rabin

Fixes #13976 - override checkbox in smart class parameter doesn't uncheck other checkboxes

Revision a0263831 - 04/18/2016 01:45 PM - Ori Rabin

Fixes #13976 - override checkbox in smart class parameter doesn't uncheck other checkboxes

(cherry picked from commit dba5afe0f39748ea8dafad88a7da046a6aab5c9a)

History

#1 - 03/02/2016 03:53 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3266 added

#2 - 03/02/2016 07:02 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset dba5afe0f39748ea8dafad88a7da046abaab5c9a.

#3 - 03/02/2016 07:54 AM - Tomer Brisker
- Bugzilla link set to 1313851

#4 - 03/03/2016 03:04 AM - Dominic Cleal

- Related to Bug #14034: Intermediate failures on Jenkins for puppetclass_lookup_key integration test added

#5 - 03/03/2016 05:59 AM - Dominic Cleal

- translation missing: en.field_release set to 141
